Hello There, Guest! Login Register
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5

Adding additional services

#1
Hey nems-community,

i tried to add an additional service (check_sql and check_exchange):


Adding the check_exchange to a host:
After that i than added the key at the end to my nsclient.ini:

; Undocumented key
check_exchange = enabled


Somehow i ended up getting this error:


(No output on stdout) stderr: Can't locate DateTime.pm in @INC (you may need to install the DateTime module) (@INC contains: /usr/lib64/nagios/plugins /usr/lib/nagios/plugins /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/arm-linux-gnueabihf/perl5/5.24 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/arm-linux-gnueabihf/perl-base) at /usr/local/nagios/libexec/check_wmi_plus.pl line 58.


Current using: Nems Linux Version 1.4.1 ; RPi Model 3B; 32GB SD-Card

How do I install the DateTime module?
Does someone has a fix/can help me out monitoring my system?
Which part do i have to edit, that it will work like intended?

Thanks for your help  Blush


Attached Files Thumbnail(s)
       
 Reply
#2
Adding them manually would result in your configuration not being transportable to the next version of NEMS and is not recommended. The best way [at present] to get new check commands in NEMS is to post them as feature requests.

It's not perfect, I know... and I hope to have a better way in place eventually for users to add check commands manually, but as it is, Migrator is an incredible feature that you probably don't want to opt out of. So in order to take advantage of it, you need to use the check command configuration that comes as part of migrator.

To answer your question though, the issue you are encountering was fixed in NEMS 1.5. Therefore, if you add your checks to NEMS 1.5 instead of NEMS 1.4.1, you should be fine. Perhaps at that point, put them in as feature requests so they can be included in NEMS 1.6, at which point you'd be able to upgrade as the checks would be there.

Robbie
Robbie Ferguson // The Bald Nerd

Did I help you out? Appreciate what I do? Please consider saying thanks:
 Reply
 
 
Forum Jump:

Users browsing this thread: 1 Guest(s)